#!/bin/bash

# sensors 서비스 시작
service lm-sensors start

# InfluxDB 연결 대기
echo "InfluxDB 연결 대기 중..."
while ! nc -z influxdb 8086; do
  sleep 1
done
echo "InfluxDB 연결됨"

# GPU 모니터링 서비스 시작
python src/cooling_monitor.py &

# API 서비스 시작
uvicorn src.api:app --host 0.0.0.0 --port 8004 --reload --app-dir /app &

# 웹 서비스 시작
python src/web/run.py 